Subject: Re: ps and linking to cygwin.dll
From: "Ryan T. Sammartino" <[email-masked]>
To: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
Cc: Cygwin List <[email-masked]>
Date: Wed, 24 Apr 2002 09:28:42 -0700

On Tue, Apr 23, 2002 at 09:19:06PM -0400, Larry Hall (RFK Partners, Inc) wrote:
> At 06:51 PM 4/23/2002, you wrote:
> 
> >Am I correct in stating that the only processes that ps will list are
> >processes that are linked to cygwin.dll?
> 
> 
> No.  See 'ps -h'.

$ ps -h
ps: unknown option -- h

Pretty sure I have the latest greatest "ps".  "man ps" says:

       The  ps program gives the status of all  the  Cygwin  pro-
       cesses running on the system (ps = "process status"). 

but that doesn't mean *just* Cygwin processes, and it isn't 100% clear
what a "Cygwin process" is.

(Oh wait... now I see the slight ambiguity in my question... I should
have said "... that 'ps -a' will list..." explicitly excluding the -W
option.)

-- 
Ryan T. Sammartino
http://members.shaw.ca/ryants/
BOO!  We changed Coke again!  BLEAH!  BLEAH! 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/